package com.flozano.mim;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonValue;

public abstract class ID implements Serializable {

	private static final long serialVersionUID = 1L;

	private final String value;
	
	public ID(String value) {
		this.value = value;
	}
	
	public ID(ID value) {
		this.value = value.toString();
	}
	
	@Override
	@JsonValue
	public String toString() {
		return value;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((value == null) ? 0 : value.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ID other = (ID) obj;
		if (value == null) {
			if (other.value != null)
				return false;
		} else if (!value.equals(other.value))
			return false;
		return true;
	}
	
	
}
