package com.flozano.mim.air;

import java.util.Date;


public interface AccrualService {

	/**
	 * Calculates the amount of miles that will be accrued for a given flight
	 * profile
	 * 
	 * @param departure
	 * @param origin
	 * @param destination
	 * @param airline
	 * @param bookingClass
	 * @return
	 */
	Accrual lookup(Date departure, AirportCode origin,
			AirportCode destination, AirlineCode airline,
			BookingClass bookingClass);

	public static class AccrualResult {
		private int miles;
		private String description;

		public int getMiles() {
			return miles;
		}

		public void setMiles(int miles) {
			this.miles = miles;
		}

		public String getDescription() {
			return description;
		}

		public void setDescription(String description) {
			this.description = description;
		}

	}
}
