package com.flozano.mim.air;

import com.flozano.mim.NotFoundException;

public class AirlineNotFoundException extends NotFoundException {

	private static final long serialVersionUID = 1L;

	private AirlineCode airlineCode;
	
	public AirlineNotFoundException(AirlineCode airlineCode) {
		this(airlineCode, null);
	}
	
	public AirlineNotFoundException(AirlineCode airlineCode, Throwable t) {
		super("Airline '" + airlineCode + "'", t);
		this.airlineCode = airlineCode;
	}

	public AirlineCode getAirlineCode() {
		return airlineCode;
	}

	public void setAirlineCode(AirlineCode airlineCode) {
		this.airlineCode = airlineCode;
	}

}
