package com.flozano.mim.air;

import java.io.Serializable;

import com.flozano.mim.country.CountryID;

public class Airport implements Serializable {

	private static final long serialVersionUID = 1L;
	
	
	private AirportCode id;
	private CountryID country;

	public CountryID getCountry() {
		return country;
	}

	public void setCountry(CountryID country) {
		this.country = country;
	}

	private String name;

	public AirportCode getId() {
		return id;
	}

	public void setId(AirportCode code) {
		this.id = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Airport other = (Airport) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		return true;
	}

	public String getFullName() {
		return country + " - " + toString();
	}

	@Override
	public String toString() {
		if (name != null)
			return name + " (" + id + ")";
		return id.toString();
	}

}
