package com.flozano.mim.air;

import com.flozano.mim.NotFoundException;

public class SegmentNotFoundException extends NotFoundException {

	private static final long serialVersionUID = 1L;

	private long segmentId;

	public SegmentNotFoundException(long segmentId) {
		this(segmentId, null);
	}

	public SegmentNotFoundException(long segmentId, Throwable t) {
		super("Segment with ID '" + segmentId + "'", t);
	}

	public long getSegmentId() {
		return segmentId;
	}

	public void setSegmentId(long segmentId) {
		this.segmentId = segmentId;
	}

}
