package com.flozano.mim.air.dao;

import java.util.Date;
import java.util.List;

import com.flozano.mim.MemberNumber;
import com.flozano.mim.air.AirlineCode;
import com.flozano.mim.air.AirportCode;
import com.flozano.mim.air.Segment;

public interface SegmentDAO {

	boolean exists(Segment segment);

	long insert(Segment segment, Long statementId);

	List<Segment> find(MemberNumber memberNumber, Date from, Date until);

	List<Segment> findOrphaned();

	void update(long memberId, long segmentId, AirlineCode airline,
			int flightNumber, AirportCode origin, AirportCode destination,
			Date departure);

	Segment get(long memberId, long segmentId);
}
