package com.flozano.mim.air.impl;

import java.util.Date;

import javax.inject.Inject;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.flozano.mim.air.Accrual;
import com.flozano.mim.air.AccrualService;
import com.flozano.mim.air.AirlineCode;
import com.flozano.mim.air.AirportCode;
import com.flozano.mim.air.BookingClass;
import com.flozano.mim.air.dao.AccrualDAO;
import com.flozano.mim.util.Check;

@Service("accrualService")
@Transactional
public class AccrualServiceImpl implements AccrualService {

	private final AccrualDAO accrualDAO;

	@Inject
	public AccrualServiceImpl(AccrualDAO accrualDAO) {
		Check.notNull(accrualDAO);
		this.accrualDAO = accrualDAO;
	}

	@Override
	public Accrual lookup(Date departure, AirportCode origin,
			AirportCode destination, AirlineCode airline,
			BookingClass bookingClass) {
		// Current impl' doesn't take into account either departure date or
		// airline code.
		return accrualDAO.get(origin, destination, bookingClass);
	}

}
