package com.flozano.mim.air.impl;

import javax.inject.Inject;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.flozano.mim.air.EliteBonusService;
import com.flozano.mim.air.EliteStatus;

@Service
public class EliteBonusServiceImpl implements EliteBonusService {

	private final float goldEliteBonus;
	private final float silverEliteBonus;
	private final float bronzeEliteBonus;
	
	@Inject
	public EliteBonusServiceImpl(
			@Value("${mim.elite-status.gold-bonus}") float goldEliteBonus,
			@Value("${mim.elite-status.silver-bonus}") float silverEliteBonus,
			@Value("${mim.elite-status.bronze-bonus}") float bronzeEliteBonus) {
		this.goldEliteBonus = goldEliteBonus;
		this.silverEliteBonus = silverEliteBonus;
		this.bronzeEliteBonus = bronzeEliteBonus;
	}

	@Override
	public float lookup(EliteStatus status) {
		switch (status) {
		case BRONZE:
			return bronzeEliteBonus;
		case SILVER:
			return silverEliteBonus;
		case GOLD:
			return goldEliteBonus;
		default:
			return 0;
		}
	}
}
