package com.flozano.mim.country;

import java.util.List;

import javax.inject.Inject;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.flozano.mim.country.dao.CountryDAO;
import com.flozano.mim.util.Check;

@Service("countryService")
@Transactional
public class CountryServiceImpl implements CountryService {

	private final CountryDAO countryDAO;

	@Inject
	public CountryServiceImpl(CountryDAO countryDAO) {
		Check.notNull(countryDAO);
		this.countryDAO = countryDAO;
	}

	@Override
	public List<Country> findAll() {
		return countryDAO.findAll();
	}
}
