package com.flozano.mim.country.dao.jdbc;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import javax.inject.Inject;
import javax.sql.DataSource;

import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

import com.flozano.mim.country.Country;
import com.flozano.mim.country.CountryID;
import com.flozano.mim.country.dao.CountryDAO;

@Repository
public class JDBCCountryDAOImpl implements CountryDAO {

	private final JdbcTemplate jdbcTemplate;

	@Inject
	public JDBCCountryDAOImpl(DataSource dataSource) {
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	@Override
	public List<Country> findAll() {
		return jdbcTemplate.query("SELECT * FROM country ORDER BY name ASC",
				ROW_MAPPER);
	}

	private final RowMapper<Country> ROW_MAPPER = new RowMapper<Country>() {

		@Override
		public Country mapRow(ResultSet rs, int rowNum) throws SQLException {
			Country c = new Country();
			c.setId(new CountryID(rs.getString("id")));
			c.setName(rs.getString("name"));
			return c;
		}

	};

}
