package com.flozano.mim.member;

import java.util.Date;
import java.util.List;

import com.flozano.mim.MemberNumber;
import com.flozano.mim.air.AirlineCode;
import com.flozano.mim.air.AirportCode;
import com.flozano.mim.air.Segment;

public interface AccountService {
	AccountReport getAccountReport(MemberNumber memberNumber);

	FlightsReport getFlightsReport(MemberNumber memberNumber, Date from,
			Date until);

	FlightsReport getFlightsReport(long memberId, Date flightsFrom,
			Date flightsUntil);

	void addSegment(Segment segment);

	void modifySegment(long segmentId, long flightId, AirlineCode airline, int flightNumber,
			AirportCode origin, AirportCode destination, Date departure,
			int miles);

	void addNote(long memberId, String note);

	List<Note> getNotes(long memberId);

	Segment getSegment(long memberId, long segmentId);

}
