package com.flozano.mim.member;

import java.io.Serializable;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class FullName implements Serializable {

	private static final long serialVersionUID = 1L;
	@NotNull
	private Called called;
	@NotNull
	@Size(min = 1, max = 50)
	private String firstName;
	@Size(min = 1, max = 250)
	private String lastName;

	public Called getCalled() {
		return called;
	}

	public void setCalled(Called treatment) {
		this.called = treatment;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public FullName() {
	}

	public FullName(Called treatment, String firstName, String lastName) {
		this.called = treatment;
		this.firstName = firstName;
		this.lastName = lastName;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((firstName == null) ? 0 : firstName.hashCode());
		result = prime * result
				+ ((lastName == null) ? 0 : lastName.hashCode());
		result = prime * result + ((called == null) ? 0 : called.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		FullName other = (FullName) obj;
		if (firstName == null) {
			if (other.firstName != null)
				return false;
		} else if (!firstName.equals(other.firstName))
			return false;
		if (lastName == null) {
			if (other.lastName != null)
				return false;
		} else if (!lastName.equals(other.lastName))
			return false;
		if (called != other.called)
			return false;
		return true;
	}

	@Override
	public String toString() {
		return called + " " + firstName + " " + lastName;
	}
}
