package com.flozano.mim.member;

import com.flozano.mim.MemberNumber;
import com.flozano.mim.NotFoundException;

public class MemberNotFoundException extends NotFoundException {

	private static final long serialVersionUID = 1L;

	private MemberNumber memberNumber;

	private long id;

	public MemberNotFoundException(MemberNumber memberNumber) {
		this(memberNumber, null);
	}

	public MemberNotFoundException(MemberNumber memberNumber, Throwable t) {
		super("Member '" + memberNumber + "'", t);
		this.memberNumber = memberNumber;
	}
	
	public MemberNotFoundException(long memberId) {
		this(memberId, null);
	}
	
	public MemberNotFoundException(long memberId, Throwable t) {
		super("Member '" + memberId + "'", t);
		this.id = memberId;
	}

	public MemberNumber getMemberNumber() {
		return memberNumber;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}
}
