package com.flozano.mim.member;

import com.flozano.mim.AlreadyExistsException;

public class PhoneNumberAlreadyExistsException extends AlreadyExistsException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private PhoneNumber phoneNumber;

	public PhoneNumberAlreadyExistsException(PhoneNumber phoneNumber,
			Throwable t) {
		super("Phone number '" + phoneNumber + "'", t);
		this.phoneNumber = phoneNumber;
	}

	public PhoneNumberAlreadyExistsException(PhoneNumber phoneNumber) {
		this(phoneNumber, null);
	}

	public PhoneNumber getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(PhoneNumber phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

}
