package com.flozano.mim.member.dao;

import java.util.List;

import com.flozano.mim.MemberNumber;
import com.flozano.mim.member.EmailAddress;
import com.flozano.mim.member.EmailAddressAlreadyExistsException;
import com.flozano.mim.member.FullName;
import com.flozano.mim.member.Member;
import com.flozano.mim.member.MemberNotFoundException;
import com.flozano.mim.member.Password;
import com.flozano.mim.member.PhoneNumber;
import com.flozano.mim.member.PhoneNumberAlreadyExistsException;
import com.flozano.mim.member.PostalAddress;
import com.flozano.mim.util.SortDirection;

public interface MemberDAO {
	long getIdByMemberNumber(MemberNumber memberNumber)
			throws MemberNotFoundException;
	MemberNumber getMemberNumberByID(long memberId);

	long insert(MemberNumber memberNumber, FullName fullName,
			Password password, EmailAddress emailAddress,
			PhoneNumber phoneNumber, PostalAddress postalAddress)
			throws EmailAddressAlreadyExistsException,
			PhoneNumberAlreadyExistsException;

	int updatePassword(MemberNumber memberNumber, Password oldPassword,
			Password newPassword) throws EmailAddressAlreadyExistsException,
			PhoneNumberAlreadyExistsException;

	Member get(MemberNumber memberNumber) throws MemberNotFoundException;

	Member get(long memberId) throws MemberNotFoundException;

	void update(MemberNumber memberNumber, EmailAddress emailAddress,
			PhoneNumber phoneNumber, PostalAddress address);

	void update(long memberId, FullName fullName, EmailAddress emailAddress,
			PhoneNumber phoneNumber, PostalAddress postalAddress);

	List<Member> find(String search, String sortProperty,
			SortDirection direction, int limit, int offset);

	int count(String search);


}
