package com.flozano.mim.member.impl;

import com.flozano.mim.AppException;
import com.flozano.mim.member.Password;

public class BadPasswordException extends AppException {

	private static final long serialVersionUID = 1L;
	
	private Password password;

	public BadPasswordException(Password password) {
		this(password, null);
	}

	public BadPasswordException(Password password, Throwable t) {
		super("The password '" + password + "' is not valid", t);
		this.password = password;
	}

	public Password getPassword() {
		return password;
	}

	public void setPassword(Password password) {
		this.password = password;
	}

}
