package com.flozano.mim.util;

import java.util.List;

import org.displaytag.pagination.PaginatedList;
import org.displaytag.properties.SortOrderEnum;

public class PaginatedListBean<T> implements PaginatedList {

	private List<T> list;
	private SortOrderEnum sortOrderEnum;
	private String sortCriterion;
	private int fullListSize;
	private int objectsPerPage;
	private int page;

	public PaginatedListBean(List<T> list, int page, int objectsPerPage,
			int fullListSize, String sortCriterion, SortDirection sortDirection) {
		this.list = list;
		this.page = page;
		this.objectsPerPage = objectsPerPage;
		this.fullListSize = fullListSize;
		this.sortCriterion = sortCriterion;
		this.sortOrderEnum = SortDirection.asc.equals(sortDirection) ? SortOrderEnum.ASCENDING
				: SortOrderEnum.DESCENDING;
	}

	@SuppressWarnings("rawtypes")
	@Override
	public List getList() {
		return list;
	}

	@Override
	public int getPageNumber() {
		return page;
	}

	@Override
	public int getObjectsPerPage() {
		return objectsPerPage;
	}

	@Override
	public int getFullListSize() {
		return fullListSize;
	}

	@Override
	public String getSortCriterion() {
		return sortCriterion;
	}

	@Override
	public SortOrderEnum getSortDirection() {
		return sortOrderEnum;
	}

	@Override
	public String getSearchId() {
		// TODO Auto-generated method stub
		return null;
	}

}
