package com.flozano.mim.web.controllers;

import java.util.List;

import javax.inject.Inject;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.flozano.mim.air.AirService;
import com.flozano.mim.air.Airport;
import com.flozano.mim.country.Country;
import com.flozano.mim.country.CountryID;
import com.flozano.mim.country.CountryService;
import com.flozano.mim.util.Check;

@Controller
@RequestMapping("/countries")
public class CountryController {

	private final CountryService countryService;
	private final AirService airService;

	@Inject
	public CountryController(CountryService countryService,
			AirService airService) {
		Check.notNull(countryService);
		this.countryService = countryService;
		this.airService = airService;
	}

	@RequestMapping(produces = "application/json", method = RequestMethod.GET)
	public @ResponseBody List<Country> get() {
		return countryService.findAll();
	}

	@RequestMapping(method = RequestMethod.GET, value = "/{countryID}/airports")
	public @ResponseBody
	List<Airport> getAirports(@PathVariable String countryID) {
		return airService.findAirports(new CountryID(countryID));
	}

}
