package com.flozano.mim.web.controllers;

import java.security.Principal;
import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.flozano.mim.MemberNumber;
import com.flozano.mim.air.EliteStatus;
import com.flozano.mim.member.AccountService;

@Controller
@RequestMapping("/member/account")
public class MemberAccountController {

	private final AccountService accountService;

	@Autowired
	public MemberAccountController(AccountService accountService) {
		this.accountService = accountService;
	}

	@RequestMapping("status")
	public String status(Model model, Principal principal) {
		model.addAttribute("statusList", EliteStatus.values());
		model.addAttribute("accountReport",
				accountService.getAccountReport(new MemberNumber(principal)));
		return "member/status";
	}

	@RequestMapping("flights")
	public String flights(
			Model model,
			@RequestParam(value = "from", required = false) @DateTimeFormat(pattern = "yyyy-MM-dd") Date from,
			@RequestParam(value = "until", required = false) @DateTimeFormat(pattern = "yyyy-MM-dd") Date until,
			Principal principal) {
		// TODO handle max span of dates
		model.addAttribute(
				"flightsReport",
				accountService.getFlightsReport(
						new MemberNumber(principal.getName()), from, until));
		return "member/flights";
	}
}
