<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="sec"
	uri="http://www.springframework.org/security/tags"
%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<fmt:formatDate value="${ flightsReport.from }" type="both"
	pattern="yyyy-MM-dd" var="formattedFrom"
/>
<fmt:formatDate value="${ flightsReport.until }" type="both"
	pattern="yyyy-MM-dd" var="formattedUntil"
/>
<spring:url value="/admin/members/{memberId}" var="currentUrl">
	<spring:param name="memberId" value="${ memberId }" />
</spring:url>
<spring:url value="/admin/members/{memberId}/notes" var="notesUrl">
	<spring:param name="memberId" value="${ memberId }" />
</spring:url>
<table class="internal-layout">
	<tr>
		<td>
			<h3>Profile data</h3> <form:form method="POST"
				modelAttribute="memberForm"
			>
				<table class="form">
					<tr>
						<th>Called:</th>
						<td><form:select path="fullName.called">
								<form:option value="MR"></form:option>
								<form:option value="MRS"></form:option>
								<form:option value="DR"></form:option>
							</form:select> <form:errors cssClass="error" path="fullName.called" /></td>
					</tr>
					<tr>
						<th>First Name:</th>
						<td><form:input path="fullName.firstName" /> <form:errors
								cssClass="error" path="fullName.firstName"
							/></td>
					</tr>
					<tr>
						<th>Last Name:</th>
						<td><form:input path="fullName.lastName" /> <form:errors
								cssClass="error" path="fullName.lastName"
							/></td>
					</tr>
					<tr>
						<th>E-mail address:</th>
						<td><form:input path="emailAddress" /> <form:errors
								cssClass="error" path="emailAddress"
							/></td>
					</tr>
					<tr>
						<th>Telephone number:</th>
						<td><form:input path="phoneNumber" /> <form:errors
								cssClass="error" path="phoneNumber"
							/></td>
					</tr>
					<tr>
						<th>Address:</th>
						<td><form:textarea path="postalAddress.address" /> <form:errors
								cssClass="error" path="postalAddress.address"
							/></td>
					</tr>
					<tr>
						<th>City:</th>
						<td><form:input path="postalAddress.city" /> <form:errors
								cssClass="error" path="postalAddress.city"
							/></td>
					</tr>
					<tr>
						<th>Zip code:</th>
						<td><form:input path="postalAddress.zipCode" /> <form:errors
								cssClass="error" path="postalAddress.zipCode"
							/></td>
					</tr>
					<tr>
						<th>State or Region:</th>
						<td><form:input path="postalAddress.stateOrRegion" /> <form:errors
								cssClass="error" path="postalAddress.stateOrRegion"
							/></td>
					</tr>
					<tr>
						<th>Country:</th>
						<td><form:select path="postalAddress.country">
								<form:option value="ES">Spain</form:option>
								<form:option value="US">USA</form:option>
								<form:option value="DE">Germany</form:option>
							</form:select> <form:errors cssClass="error" path="postalAddress.country" /></td>
					</tr>
					<tr>
						<td colspan="2"><input type="submit" value="Update profile" />
							<form:errors cssClass="error" path="" />
							<c:if test="${memberUpdated==true}">
								<span class="info">The profile has been successfully
									updated</span>
							</c:if></td>
					</tr>
				</table>
			</form:form>
		</td>
		<td>
			<table class="internal-layout">
				<tr>
					<td>
						<h3>Flights</h3>
						<form method="GET">
							<label for="from">From:</label><input type="text" class="date"
								name="from" value="${formattedFrom}"
							/> <br /> <label for="until">Until:</label> <input type="text"
								class="date" name="until" value="${formattedUntil}"
							/> <br /> <input type="Submit" value="Filter by date" />
						</form> <br /> <display:table name="flightsReport.segments" pagesize="5"
							requestURI="${ currentUrl }" uid="flightsTable" id="row"
						>
							<display:column title="Date" property="departure"></display:column>
							<display:column title="From" property="originName"></display:column>
							<display:column title="To" property="destinationName"></display:column>
							<display:column title="Airline" property="airlineName"></display:column>
							<display:column title="Flight No." property="flightNumber"></display:column>
							<display:column title="Class" property="bookingClassName"></display:column>
							<display:column title="Miles" property="miles"></display:column>
							<display:column title="">
								<a href="${currentUrl}/flights/${row.id}">Details</a>
							</display:column>
						</display:table>
					</td>
				</tr>
				<tr>
					<td><h3>Notes about this member</h3> <display:table
							name="notes" pagesize="5" requestURI="${ currentUrl }"
							uid="notesTable"
						>
							<display:column title="Created at..." property="createdAt" />
							<display:column title="Note" property="content" />
						</display:table>
						<form method="POST" action="${notesUrl}">
							<textarea rows="5" cols="50" name="content" maxlength="500"></textarea>
							<br /> <input type="submit" value="Create new note" /> <input
								type="hidden" name="from" value="${formattedFrom }"
							/> <input type="hidden" name="until" value="${formattedUntil }" />
						</form></td>
				</tr>
			</table>
		</td>
	</tr>
</table>