<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="sec"
	uri="http://www.springframework.org/security/tags"
%>
<spring:url value="/register" var="registerUrl" />
<spring:url value="/member/profile" var="profileUrl" />
<spring:url value="/member/account/status" var="statusUrl" />
<spring:url value="/member/account/flights" var="flightsUrl" />
<spring:url value="/member/lounges" var="loungesUrl" />
<spring:url value="/admin/members" var="adminMembersUrl" />
<spring:url value="/admin/lounges" var="adminLoungesUrl" />
<spring:url value="/spring_security_login" var="loginUrl" />
<spring:url value="/j_spring_security_logout" var="logoutUrl" />
<div class="loginlogout">
	<sec:authorize ifNotGranted="ROLE_ANONYMOUS">
	Logged in as <b><sec:authentication property="principal.username" /></b>
	</sec:authorize>
</div>
<ul class="menu">
	<sec:authorize ifAnyGranted="ROLE_ANONYMOUS">
		<li><a href="${loginUrl}">Login</a></li>
	</sec:authorize>
	<sec:authorize ifNotGranted="ROLE_ANONYMOUS">
		<li><a href="${logoutUrl}">Logout</a></li>
	</sec:authorize>
	<sec:authorize ifAnyGranted="member">
		<li><a href="${profileUrl}">Profile</a></li>
		<li><a href="${statusUrl}">Status</a></li>
		<li><a href="${flightsUrl}">Flights</a></li>
		<li><a href="${loungesUrl}">Lounges</a></li>
	</sec:authorize>
	<sec:authorize ifAnyGranted="admin">
		<li><a href="${adminMembersUrl}">Manage members</a></li>
		<li><a href="${adminLoungesUrl}">Manage lounges</a></li>
		<!-- ${adminLoungesUrl} -->
	</sec:authorize>
	<sec:authorize ifAnyGranted="ROLE_ANONYMOUS">
		<li><a href="${registerUrl}">Register</a></li>
	</sec:authorize>
</ul>
